unit FormSizingD7_IMPL;

interface

uses
  SysUtils, ComObj, ComServ, ActiveX, Variants, Outlook2000, Office2000, adxAddIn, FormSizingD7_TLB, StdVcl,
  Classes, adxolFormsManager;

type
  TCoFormSizingD7 = class(TadxAddin, ICoFormSizingD7)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxOlFormsManager1: TadxOlFormsManager;
    procedure adxCOMAddInModuleCreate(Sender: TObject);
    procedure adxCOMAddInModuleError(const E: Exception;
      var Handled: Boolean);
    procedure adxOlFormsManager1Error(ASender: TObject;
      Args: TadxOlErrorEventArgs);
  private
    FInspectorNextShowingSize: integer;
    FExplorerNextShowingSize: integer;
    procedure SetInspectorNextShowingSize(const Value: integer);
    procedure SetExplorerNextShowingSize(const Value: integer);
  protected
  public
    property InspectorNextShowingSize: integer read FInspectorNextShowingSize write SetInspectorNextShowingSize;
    property ExplorerNextShowingSize: integer read FExplorerNextShowingSize write SetExplorerNextShowingSize;
  end;

implementation

uses Unit1, uUtils;

{$R *.dfm}

{ TAddInModule }

procedure TAddInModule.SetExplorerNextShowingSize(const Value: integer);
begin
  FExplorerNextShowingSize := Value;
end;

procedure TAddInModule.SetInspectorNextShowingSize(const Value: integer);
begin
  FInspectorNextShowingSize := Value;
end;

procedure TAddInModule.adxCOMAddInModuleCreate(Sender: TObject);
begin
  FInspectorNextShowingSize := 250;
  FExplorerNextShowingSize := 250;
end;

procedure TAddInModule.adxCOMAddInModuleError(const E: Exception;
  var Handled: Boolean);
begin
  Handled := true;
  Common.ShowMessage(Strings.AddinModuleOnError);
end;

procedure TAddInModule.adxOlFormsManager1Error(ASender: TObject;
  Args: TadxOlErrorEventArgs);
begin
  Args.Handled := true;
  Common.ShowMessage(Strings.FormsManagerOnError);
end;

initialization
  TadxFactory.Create(ComServer, TCoFormSizingD7, CLASS_CoFormSizingD7, TAddInModule);

end.
