unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, ComCtrls, StdCtrls;

type
  TadxOlForm1 = class(TadxOlForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    tbCurrentSize: TTrackBar;
    tbNextShowing: TTrackBar;
    procedure tbCurrentSizeChange(Sender: TObject);
    procedure tbNextShowingChange(Sender: TObject);
    procedure adxOlFormADXBeforeFormShow(Sender: TObject);
  private
    { Private declarations }
    procedure ChangeFormSize(value: integer);
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm1 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxOlForm1 : TadxOlForm1;

implementation

uses FormSizingD7_IMPL;

{$R *.DFM}

procedure TadxOlForm1.ChangeFormSize(value: integer);
begin
  if (self.ExplorerObj <> nil) then begin
    case self.Item.ExplorerLayout of
      elBottomNavigationPane,
      elBottomOutlookBar,
      elBottomReadingPane,
      elBottomSubpane,
      elBottomTodoBar,
      elTopReadingPane,
      elTopSubpane: begin
        self.Height := value;
      end;

      elLeftReadingPane,
      elLeftSubpane,
      elRightReadingPane,
      elRightSubpane: begin
        self.Width := value;
      end;

      elUnknown,
      elWebViewPane: begin
        //Nothing
      end;
    end;
  end;

  if (self.InspectorObj <> nil) then begin
    case (self.Item.InspectorLayout) of
      ilBottomSubpane,
      ilTopSubpane: begin
          self.Height := value;
      end;
      ilLeftSubpane,
      ilRightSubpane,
      ilUnknown: begin
        self.Width := value;
      end;
    end;
  end;
end;

procedure TadxOlForm1.tbCurrentSizeChange(Sender: TObject);
begin
  ChangeFormSize(tbCurrentSize.Position);
end;

procedure TadxOlForm1.tbNextShowingChange(Sender: TObject);
begin
  if (self.InspectorObj <> nil) then begin
    (self.AddinModule as TAddinModule).InspectorNextShowingSize := tbNextShowing.Position;
  end;

  if (self.ExplorerObj <> nil) then begin
    (self.AddinModule as TAddinModule).ExplorerNextShowingSize := tbNextShowing.Position;
  end;
end;

procedure TadxOlForm1.adxOlFormADXBeforeFormShow(Sender: TObject);
begin
  if (self.InspectorObj <> nil) then begin
    ChangeFormSize((self.AddinModule as TAddinModule).InspectorNextShowingSize);
    tbCurrentSize.Position := (self.AddinModule as TAddinModule).InspectorNextShowingSize;
    tbNextShowing.Position := (self.AddinModule as TAddinModule).InspectorNextShowingSize;
  end;
  if (self.ExplorerObj <> nil) then begin
    ChangeFormSize((self.AddinModule as TAddinModule).ExplorerNextShowingSize);
    tbCurrentSize.Position := (self.AddinModule as TAddinModule).ExplorerNextShowingSize;
    tbNextShowing.Position := (self.AddinModule as TAddinModule).ExplorerNextShowingSize;
  end;
end;

initialization
  RegisterClass(TPersistentClass(TadxOlForm1));

finalization
end.
