// The sample contained herein is provided to you "AS IS".
//
// It is furnished by Add-in Express as a simple example and has not been 
// thoroughly tested under all conditions. Add-in Express, therefore, cannot 
// guarantee its reliability, serviceability or functionality. 

unit uUtils;

interface

uses
  Windows, Dialogs, Outlook2000, adxolFormsManager, ActiveX, Forms;

type
  ProjectConsts = class
  public
    class function DevCode: string;
    class function HowtoName: string;
    class function ProjectShortName: string;
    class function MessageCaption: string;
    class function HowtoProjectName: string;
    class function CommandBarName: string;
  end;

  Strings = class
    class function AddinModuleOnError: string;
    class function FormsManagerOnError: string;
  end;

  Common = class
  public
    class function IndexOfString(source: string; str: string): integer;
    class procedure ShowError(mes: string);
    class procedure ShowMessage(mes: string);
  end;


  HostVersion = (vUnknown, v2000, v2002, v2003, v2007);

  OutlookUtils = class
  public
    class procedure InitOutlookVersion(OutlookApp: OutlookApplication);
    class function OutlookVersion: HostVersion;
  end;

implementation

var
  OutlookUtilsOutlookVersion: HostVersion;

{ ProjectConsts }

class function ProjectConsts.CommandBarName: string;
begin
  result := HowtoProjectName;
end;

class function ProjectConsts.DevCode: string;
begin
  result := 'D7';
end;

class function ProjectConsts.HowtoName: string;
begin
  result := 'Controlling the Form Size';
end;

class function ProjectConsts.HowtoProjectName: string;
begin
  result := ProjectShortName + DevCode;
end;

class function ProjectConsts.MessageCaption: string;
begin
  result := HowtoName;
end;

class function ProjectConsts.ProjectShortName: string;
begin
  result := 'FormSizing';
end;

{ Strings }

class function Strings.AddinModuleOnError: string;
begin
  result := 'An error has been handled in the AddinModule.OnError event';
end;

class function Strings.FormsManagerOnError: string;
begin
  result := 'An error has been handled in the ADXOlFormsManagger.OnError event';
end;

{ Common }

class function Common.IndexOfString(source, str: string): integer;
begin
  result := Pos(str, source);
end;

class procedure Common.ShowError(mes: string);
begin
  MessageBox(0, PChar(mes), PChar(ProjectConsts.MessageCaption), MB_OK or MB_ICONERROR or MB_APPLMODAL);
end;

class procedure Common.ShowMessage(mes: string);
begin
  MessageBox(0, PChar(mes), PChar(ProjectConsts.MessageCaption), MB_OK or MB_APPLMODAL);
end;

{ OutlookUtils }



class procedure OutlookUtils.InitOutlookVersion(
  OutlookApp: _Application);
var
  hostVersion: string;
begin
  if (OutlookApp <> nil) then begin
      hostVersion := OutlookApp.Version;

      if (Common.IndexOfString(hostVersion, '9.0') >= 0) then begin
        OutlookUtilsOutlookVersion := v2000;
      end;

      if (Common.IndexOfString(hostVersion, '10.0') >= 0) then begin
        OutlookUtilsOutlookVersion := v2002;
      end;

      if (Common.IndexOfString(hostVersion, '11.0') >= 0) then begin
        OutlookUtilsOutlookVersion := v2003;
      end;

      if (Common.IndexOfString(hostVersion, '12.0') >= 0) then begin
        OutlookUtilsOutlookVersion := v2007;
      end;
  end;
end;

class function OutlookUtils.OutlookVersion: HostVersion;
begin
  result := OutlookUtilsOutlookVersion; 
end;




end.
